Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

AutoPilot and firmware 3.08 ?

Discussion in 'Phantom 2 Vision + Discussion' started by JDNC, Sep 14, 2015.

  1. JDNC

    Dec 11, 2014
    Likes Received:
    I just purchased AutoPilot and after reading the tutorial it recommends strongly that I use the most current firmware. Ive got to tell you I have reservations about upgrading. I'm currently running 3.08 without any problems and don't want any.

    Does anyone know if I can use AutoPilot with fw 3.08?. My birdie a Phantom 2 Vision Plus. Any input would be appreciated.